首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Distributions
Ubuntu
Fedora
CentOS
中文资源站
网易开源镜像站
拉钩
V2EX  ›  Linux

Linux 下编译软件 有通用的办法获取需要安装的 dev 包吗?不然每次./configure 报错再找包安装太慢了

  •  
  •   whereabouts · 152 天前 · 1554 次点击
    这是一个创建于 152 天前的主题,其中的信息可能已经有所发展或是发生改变。
    有些软件官网会写一些依赖包 担不是直接基于 deb/rpm 的包名称,比如 openssl-devel,
    ./configure 有选项可以输出需要依赖的 dev 包吗?目前的方法是每次./configure 报错后按照提示找对应包基于 deb/rpm 的名称,对于 wine 之类的依赖多的软件来说太煎熬了。
    6 回复  |  直到 2018-07-23 13:50:02 +08:00
        1
    pigzilla   152 天前   ♥ 1
    不喜欢编译:用发行版的包管理机制装二进制
    喜欢编译:用 gentoo
    喜欢编译又不用 gentoo:默默接受现实
        2
    rochek   151 天前
    可以看看 FreeBSD 下 ports 的方法
    记得是简单的脚本完成的
        3
    lolizeppelin   151 天前 via Android
    找 wine 最新版 src rpm 包
    看 spec 文件里的依赖
        4
    greenskinmonster   151 天前 via Android
    哪个发行版没有 wine ?
        5
    ivlioioilvi   151 天前
    自己动手写个包管理器啦。
        6
    rebackhua   146 天前
    在哪个发行版下,就用哪个包管理器啊
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   3188 人在线   最高记录 4019   ·  
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.1 · 17ms · UTC 05:02 · PVG 13:02 · LAX 21:02 · JFK 00:02
    ♥ Do have faith in what you're doing.
    沪ICP备16043287号-1